Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156870 - Shutdown direct from KDE doesn't always work
Summary: Shutdown direct from KDE doesn't always work
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 20:11 UTC by Mary Ellen Foster
Modified: 2008-02-16 02:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-16 02:45:37 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2005-05-04 20:11:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
I use kdm as my login manager, and KDE as my desktop. This means that I can shut down directly from KDE without needing to log out first.

However, it doesn't always work; sometimes, it seems to stick partway through the shutdown. This morning, for instance, I hit ctrl-alt-del, chose "Turn off computer" from the dialogue box, and walked away from the computer. I came home this evening to discover that it was still switched on and I was still logged in; the wallpaper had changed to all-black, but the panel was still at the bottom of the screen and active. I logged out and back in, and all was fine.

Often, shutting down like this *does* work, and I have no idea why it sometimes doesn't.

Version-Release number of selected component (if applicable):
kdebase-3.4.0-5

How reproducible:
Sometimes

Steps to Reproduce:
1. (Use KDM and KDE)
2. Hit ctrl-alt-del
3. Use arrow keys to move down to "Turn off Computer"
4. Hit "Enter"

(I have a suspicion this happens more often when I use the arrow keys than when I use the mouse, but that's probably just paranoia)

Actual Results:  Wallpaper went black, but the panel remained and I stayed in KDE

Expected Results:  The computer should have shut down

Additional info:

Comment 1 Christian Iseli 2007-01-22 11:45:45 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Matthew Miller 2007-04-06 15:10:39 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 3 petrosyan 2008-02-16 02:45:37 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.